<?php
if ( class_exists( 'TC_Ticket_Template_Elements' ) ) {

	class tc_custom_text_3_element extends TC_Ticket_Template_Elements {

		var $element_name = 'tc_custom_text_3_element';
		var $element_title = 'Custom Text 3';
		var $font_awesome_icon = '<i class="fa fa-align-center"></i>';

		function on_creation() {

			$this->element_title = 'Custom Text 1';
		}

		function get_value( $label = 'Text' ) {

			$field_name = 'text_content';
			?>
			<label><?php echo $label; ?></label>
			<input type="text" name="<?php echo $this->element_name; ?>_post_meta" value="<?php echo isset( $this->template_metas[ $this->element_name ] ) ? $this->template_metas[ $this->element_name ] : ''; ?>" />

			<?php
		}

		function admin_content() {

			echo $this->get_font_sizes();
			echo $this->get_font_style();
			echo $this->get_font_colors();
			echo $this->get_cell_alignment();
			echo $this->get_element_margins();

			echo $this->get_value();
		}

		function ticket_content( $ticket_instance_id = false, $ticket_type_id = false ) {

			$field_name = 'text_content';

			return isset( $this->template_metas[ $this->element_name ] ) ? $this->template_metas[ $this->element_name ] : '';
		}

	}

	tc_register_template_element( 'tc_custom_text_3_element', __( 'Custom Text 3', 'tc' ) );
}

